component: TimingTest
proto_imports:
  - base/diag/monitors/stale/messages.proto
  - base/diag/monitors/timing/messages.proto
  - base/diag/monitors/common.proto
metric: UintStatistics
namespace: zoox::diag::monitors::timing
faults:
  - id: 1
    name: IntervalLow
    severity: ERROR
    description: Interval too low
    freeze_frame: IntervalFreezeFrame
  - id: 2
    name: IntervalHigh
    severity: ERROR
    description: Interval too high
    freeze_frame: IntervalFreezeFrame
  - id: 3
    name: FrequencyLow
    severity: ERROR
    description: Frequency too low
    freeze_frame: FrequencyFreezeFrame
  - id: 4
    name: FrequencyHigh
    severity: ERROR
    description: Frequency too high
    freeze_frame: FrequencyFreezeFrame
  - id: 5
    name: TimingStale
    severity: ERROR
    description: Timing monitor stale
    freeze_frame: StaleFreezeFrame
